> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Payment Gateway Account

> A Payment Gateway Account is the set of information necessary for connecting to a specific payment gateway through our system.
This method allows you to retrieve the information set on a particular payment gateway account. You can then update it using the `[PUT] PaymentGatewayAccounts/{name}` method

## related

<Card title="Gateway Accounts Guide" icon="book" href="/guides/rest-api/utilities/gateway-accounts">
  Complete guide with account management and best practices
</Card>


## OpenAPI

````yaml get /PaymentGatewayAccounts/{name}
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.11.6
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: StringTokens
    description: Token management
  - name: Tools
    description: >-
      Card tools for BIN/IIN lookup, brand identification, Luhn validation, and
      card risk assessment
  - name: Utils
    description: Utils
paths:
  /PaymentGatewayAccounts/{name}:
    get:
      tags:
        - PaymentGatewayAccounts
      summary: Retrieve Payment Gateway Account
      description: >-
        A Payment Gateway Account is the set of information necessary for
        connecting to a specific payment gateway through our system.

        This method allows you to retrieve the information set on a particular
        payment gateway account. You can then update it using the `[PUT]
        PaymentGatewayAccounts/{name}` method
      operationId: PaymentGatewayAccountRetrieve
      parameters:
        - name: name
          in: path
          description: A unique name of this Payment Gateway Account
          required: true
          schema:
            pattern: ^[A-Za-z0-9]{3,64}$
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PayTools_Api.Models.PaymentGatewayAccountFullOutputModel
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
        '404':
          description: Not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PayTools_Api.Models.PaymentGatewayAccountFullOutputModel:
      type: object
      properties:
        name:
          type: string
          description: Name of account
          nullable: true
        creationTime:
          type: string
          description: Date and time the credentials were stored
          format: date-time
        paymentGatewayName:
          type: string
          description: >-
            Unique name of the Payment Gateway the account information relates
            to.
          nullable: true
        credentials:
          type: array
          items:
            $ref: '#/components/schemas/PayTools_Shared.Models.KeyValue'
          description: >-
            A list of key-value pairs that represents your credentials within
            the Payment gateway. 

            Each key should represent a parameter listed in the
            "CredentialsNames" element of the response from the list all payment
            gateways method at `[GET] /paymentGateway`

            Example:

            "Credentials": [
               {
                   "Key": "PrivateKey",
                   "Value": "VBtt666M/G098098vgdewvk0Mc-GH"
               }
            ]
          nullable: true
      additionalProperties: false
      description: Output Model for designating a payment gateway account
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages
    PayTools_Shared.Models.KeyValue:
      type: object
      properties:
        key:
          type: string
          description: Key
          nullable: true
        value:
          type: string
          description: Value
          nullable: true
      additionalProperties: false
      description: A helper class
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Please enter ApiKey into field
      name: X-Api-Key
      in: header

````